Subject: Re: bug#29303: 25.2; vc-git-grep should shell-escape FILES

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Nov 2017 12:13:46 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 17 Nov 2017 10:54:59 +0100
> 
> >> For vc-git-grep, or for every function that uses grep-read-files?
> >
> > The latter, I think.  If there are too many of those callers, then we
> > could describe this once, say in grep-read-files, and then reference
> > that, with something like
> >
> >   Including whitespace in the pattern requires quoting, see
> >   `grep-read-files' for the details.
> 
> There are only 4 such (5 if you count zrgrep, which basically says
> 'see rgrep') and the addition is small, so I documented it in the
> callers, and in grep-read-files.

Thanks, this is fine, except that please use \\[quoted-insert] instead
of a literal \C-q, to DTRT when quoted-insert is rebound to some other
key.